Skip to main content
POST
/
api
/
metrics
/
developer
/
devs
/
active
/
get
curl --request POST \
  --url https://api.codeant.ai/api/metrics/developer/devs/active/get \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform": "github",
  "org": "my-org",
  "start_date": "2025-01-01",
  "end_date": "2025-03-01"
}
'
{
  "metric": "active_developers",
  "platform": "<string>",
  "org": "<string>",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "active_developers": [
    {
      "login": "<string>",
      "name": "<string>",
      "commit_count": 123,
      "repositories": [
        "<string>"
      ],
      "repository_commits": {},
      "coding_days": {},
      "total_additions": 123,
      "total_deletions": 123,
      "total_files_changed": 123,
      "languages": {},
      "commit_times": {
        "morning": 123,
        "afternoon": 123,
        "evening": 123,
        "night": 123
      },
      "repository_count": 123,
      "avg_commit_size": 123,
      "net_code_impact": 123,
      "test_ratio": 123
    }
  ],
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Access token for the git provider (GitHub PAT, GitLab PAT, Bitbucket App Password, Azure DevOps PAT). Pass via Authorization: Bearer <token> header.

Body

application/json
platform
enum<string>
required

Version control platform

Available options:
github,
gitlab,
bitbucket,
azure_devops,
azuredevops
Example:

"github"

org
string
required

Organization, workspace, or group name on the platform

Example:

"my-org"

start_date
string<date>
required

Start of the date range (YYYY-MM-DD)

Example:

"2025-01-01"

end_date
string<date>
required

End of the date range (YYYY-MM-DD)

Example:

"2025-03-01"

github_base_url
string
default:https://github.com

Base URL for GitHub (use for GitHub Enterprise Server)

Example:

"https://github.com"

gitlab_base_url
string
default:https://gitlab.com

Base URL for GitLab (use for self-hosted GitLab instances)

Example:

"https://gitlab.com"

azure_devops_base_url
string
default:https://dev.azure.com

Base URL for Azure DevOps (use for Azure DevOps Server)

Example:

"https://dev.azure.com"

bitbucket_base_url
string
default:https://api.bitbucket.org/2.0

Base URL for Bitbucket (use for Bitbucket Data Center/Server)

Example:

"https://api.bitbucket.org/2.0"

Response

Active developers list

metric
string
Example:

"active_developers"

platform
string
org
string
start_date
string<date>
end_date
string<date>
active_developers
object[]
total_count
integer

Number of active developers